<?php
/**
* Header Options.
*
* @package Spa Parlor
*/

$spa_parlor_default = spa_parlor_get_default_theme_options();

// Header Section.
$wp_customize->add_section( 'spa_parlor_button_header_setting',
	array(
	'title'      => esc_html__( 'Header Settings', 'spa-parlor' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'spa_parlor_theme_option_panel',
	)
);

$wp_customize->add_setting( 'spa_parlor_header_layout_button_text',
    array(
    'default'           => $spa_parlor_default['spa_parlor_header_layout_button_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'spa_parlor_header_layout_button_text',
    array(
    'label'    => esc_html__( 'Header Button', 'spa-parlor' ),
    'section'  => 'spa_parlor_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'spa_parlor_header_layout_button_url',
    array(
    'default'           => $spa_parlor_default['spa_parlor_header_layout_button_url'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'spa_parlor_header_layout_button_url',
    array(
    'label'    => esc_html__( 'Button Url', 'spa-parlor' ),
    'section'  => 'spa_parlor_button_header_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting('spa_parlor_header_search',
    array(
        'default' => $spa_parlor_default['spa_parlor_header_search'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'spa_parlor_sanitize_checkbox',
    )
);
$wp_customize->add_control('spa_parlor_header_search',
    array(
        'label' => esc_html__('Enable Search', 'spa-parlor'),
        'section' => 'spa_parlor_button_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('spa_parlor_sticky',
    array(
        'default' => $spa_parlor_default['spa_parlor_sticky'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'spa_parlor_sanitize_checkbox',
    )
);
$wp_customize->add_control('spa_parlor_sticky',
    array(
        'label' => esc_html__('Enable Sticky Header', 'spa-parlor'),
        'section' => 'spa_parlor_button_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('spa_parlor_menu_font_size',
    array(
        'default'           => $spa_parlor_default['spa_parlor_menu_font_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'spa_parlor_sanitize_number_range',
    )
);
$wp_customize->add_control('spa_parlor_menu_font_size',
    array(
        'label'       => esc_html__('Menu Font Size', 'spa-parlor'),
        'section'     => 'spa_parlor_button_header_setting',
        'type'        => 'number',
        'input_attrs' => array(
           'min'   => 1,
           'max'   => 30,
           'step'   => 1,
        ),
    )
);

$wp_customize->add_setting( 'spa_parlor_menu_text_transform',
    array(
    'default'           => $spa_parlor_default['spa_parlor_menu_text_transform'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'spa_parlor_sanitize_menu_transform',
    )
);
$wp_customize->add_control( 'spa_parlor_menu_text_transform',
    array(
    'label'       => esc_html__( 'Menu Text Transform', 'spa-parlor' ),
    'section'     => 'spa_parlor_button_header_setting',
    'type'        => 'select',
    'choices'     => array(
        'capitalize' => esc_html__( 'Capitalize', 'spa-parlor' ),
        'uppercase'  => esc_html__( 'Uppercase', 'spa-parlor' ),
        'lowercase'    => esc_html__( 'Lowercase', 'spa-parlor' ),
        ),
    )
);